<?php
	session_start();
    $usuario = $_SESSION['usuario'];
    $idusuario = $_SESSION['idusuario'];	    	
	$fechaactual=date('Y-m-d');
	if(isset($_SESSION['ingreso']) && $_SESSION['ingreso']=='YES')
	{?> 
		<!DOCTYPE html>
		<html lang="en">
		<head>
			<meta charset="utf-8">
			<meta http-equiv="X-UA-Compatible" content="IE=edge">
			<meta name="viewport" content="width=device-width, initial-scale=1">
			<meta name="description" content="">
			<meta name="author" content="">
			<meta name="viewport" content="width=device-width, initial-scale=1">
			<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
			<title> Sistema cotrol de inventario</title>
			<link rel="shortcut icon" href="../../resources/img/crud.ico">
			<link href="../../vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
			<link href="../../vendor/metisMenu/metisMenu.min.css" rel="stylesheet">
			<link href="../../dist/css/sb-admin-2.css" rel="stylesheet">
			<link href="../../vendor/morrisjs/morris.css" rel="stylesheet">
			<link href="../../vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
			<style>
				img 
				{
					content: ' ';
					display: block;
					position: absolute;
					left: 10;
					top: 0;
					width: 150%;
					height: 1000%;
					z-index: 0;
					opacity: 1;
					background-image: url('../../resources/img/web_construccion2.png');
					background-repeat: no-repeat;
					background-position: 50% 0;
					background-size: cover;
				}
				.modal-xl 
				{
				    max-width: 90% !important;
				}

			</style>				
			<body>
				<div id="wrapper">
					<!-- Navigation -->
					<nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
						<div class="navbar-header">
							<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
								<span class="sr-only">Toggle navigation</span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
							</button>				
							<a class="navbar-brand" href="index.php" >Bodega Manolito</a>       
						</div>
						<!-- /.navbar-header -->
						<ul class="nav navbar-top-links navbar-right">                    
						   
							<li class="dropdown">
								<a class="dropdown-toggle" data-toggle="dropdown" href="#">
									<i class="fa fa-user fa-fw"></i> En linea <?php echo $usuario; ?> <i class="fa fa-caret-down"></i>
								</a>
								<ul class="dropdown-menu dropdown-user">
									<li><a href="#"><i class="fa fa-gear fa-fw"></i> Configuraciones</a>
									</li>
									<li class="divider"></li>
									<li><a href="javascript: void(0)" onclick="cerrar();"><i class="fa fa-sign-out fa-fw"></i> Cerrar sesión</a>                        
									</li>
								</ul>
								<!-- /.dropdown-user -->
							</li>
							<!-- /.dropdown -->
						</ul>
						<!-- /.navbar-top-links -->
						<?php include 'menu.php'; ?>
						<!-- /.navbar-static-side -->
					</nav>
					<div id="page-wrapper">
						<div class="row">
							<div class="col-lg-12 col-md-12">
								<h4> Usuario: <?php echo $usuario?></h4><hr>
							</div>
							<!-- /.col-lg-12 -->
						</div>
						<!-- /.row -->
						<div class="row ">
							<!-- inicio body-->							
							<div class="col-lg-12 col-md-12">
								<div class="panel panel-WHITE">
									<div class="panel-heading">
										<div class="row">											
											<div class="row ">
						
												<div class="col-md-12 col-md-offset-0"> 
													<button type="button" class="btn btn-success" data-toggle="modal" data-target="#agregar_empresa">Ingresar Mercaderia</button>
												</div>
												<br></br>											
											</div>
											<div  class="col-md-12 col-md-offset-0">    
												<table id="producto" class="table table-hover" cellspacing="0" width="100%">
													<thead>
														<tr class="info">
															<th>CATEGORIA</th>
															<th>CODIGO</th>										
															<th>PRODUCTO</th>
															<th>FECHA ELABORACIÓN</th>
															<th>FECHA VECIMIENTO</th>
															<th>STOCK</th>
															<th>PRECIO 1</th>
															<th>PRECIO 2</th>
															<th>PRECIO 3</th>
															<th>ACCIÓN</th>									
														</tr>
													</thead>
													<tbody>
															<!--en esta area se carga en una matriz la tabla solicitud-->
													</tbody>
												</table>        
											</div>						
										</div>
									</div>
								</div>
							</div> 				
						</div>
					</div>
				</div>
			</body>						
		</html>
	<?php		
	}
	else
	{?>
		<!DOCTYPE html> 
		<html>
			<head>
				<meta http-equiv="refresh" content="0;url=../../views/index.php">
				<title>SGO</title>
				<script language="javascript">
					window.location.href = "../../views/index.php"
				</script>
			</head>
			<body>
				Go to <a href="../../views/index.php">../../views/index.php</a>
			</body>
		</html>
	<?php
	}
?>
<script src="../../resources/js/jquery-1.10.2.js"></script>
<script src="../../vendor/jquery/jquery.min.js"></script>
<script src="../../resources/js/bootstrap.js"></script>
<script src="../../vendor/metisMenu/metisMenu.min.js"></script>
<script src="../../vendor/raphael/raphael.min.js"></script>  
<script src="../../dist/js/sb-admin-2.js"></script>
<script src="../../resources/media/js/jquery.dataTables.min.js"></script>
<script src="../../resources/media/js/dataTables.bootstrap.min.js"></script>
<script src="../../resources/js/menu_mercaderia.js"></script>	
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<!-- area de los script-->
<script>
    //funcion cerrar seciones
    function cerrar()
    {
        $.ajax({
            url:'../../controllers/usuario.php',
            type:'POST',
            data:"boton=cerrar"
        }).done(function(resp){
            location.href ='index.php'
        });

    }

    //funcion guardar
	function guardar()
    {
       var idproduc = $('#idproduc').val();       
       var stock2 = $('#stock2').val();
       var fechae2 = $('#fechae2').val();
       var fechav2 = $('#fechav2').val();
       var precio12 = $('#precio12').val();
       var precio22 = $('#precio22').val();
       var precio32 = $('#precio32').val();
       alert(stock2);
       /*
	   if(categoria !="" && codigo !="" && nombre !="" && stock_m !="")
		{
			$.ajax
			({
				url:'../../views/pages/agregar_producto.php',
				type:'POST',
				data:'categoria='+categoria+'&codigo='+codigo+'&nombre='+nombre+'&stock_m='+stock_m				 
			}).done(function(respuesta)
			{
				//alert(respuesta);
				if(respuesta=="")
				{
					//$('#empresa').DataTable().ajax.reload();
					Swal.fire('Éxito', 'Producto agregado correctamente.', 'success')
                        .then(() => location.reload());

				}
				else
				{
					Swal.fire('Error', 'No se pudo agregar el producto.', 'error');
				}
			});
		}
		else
		{
			//alert("Hay campo sin llenar");
			Swal.fire('Error', 'Hay campo sin llenar.', 'error');
		}*/
    }

    $(document).ready(function() 
	{							   
		$("#ingresar_mercaderia").on('show.bs.modal', function (e) 
		{
			var idsolicitud_comp1 = $(e.relatedTarget).attr('data-idproduc');			
			$("#idproduc").val(idsolicitud_comp1);
			var idsolicitud_comp2 = $(e.relatedTarget).attr('data-codigo');			
			$("#codigo").val(idsolicitud_comp2);
			var idsolicitud_comp3 = $(e.relatedTarget).attr('data-produc');			
			$("#nombre").val(idsolicitud_comp3);
			var idsolicitud_comp4 = $(e.relatedTarget).attr('data-stock');			
			$("#stock").val(idsolicitud_comp4);	
			var idsolicitud_comp5 = $(e.relatedTarget).attr('data-fechae');			
			$("#fechae").val(idsolicitud_comp5);
			var idsolicitud_comp6 = $(e.relatedTarget).attr('data-fechav');			
			$("#fechav").val(idsolicitud_comp6);
			var idsolicitud_comp7 = $(e.relatedTarget).attr('data-precio1');			
			$("#precio1").val(idsolicitud_comp7);
			$("#precio12").val(idsolicitud_comp7);			
			var idsolicitud_comp8 = $(e.relatedTarget).attr('data-precio2');			
			$("#precio2").val(idsolicitud_comp8);
			$("#precio22").val(idsolicitud_comp8);
			var idsolicitud_comp9 = $(e.relatedTarget).attr('data-precio3');			
			$("#precio3").val(idsolicitud_comp9);
			$("#precio32").val(idsolicitud_comp9);			
		});
		
	});	

	//funcion confirmar
	function confirmar()
    {
       var idproduc = $('#idproduc').val();       
       //alert(idproduc);
	   if(idproduc !="")
		{
			$.ajax
			({
				url:'../../views/pages/delete_Producto.php',
				type:'POST',
				data:'idproduc='+idproduc				 
			}).done(function(respuesta)
			{
				//alert(respuesta);
				if(respuesta=="")
				{
					//$('#empresa').DataTable().ajax.reload();
					Swal.fire('Éxito', 'Producto eliminado correctamente.', 'success')
                        .then(() => location.reload());

				}
				else
				{
					Swal.fire('Error', 'No se pudo eliminar la empresa.', 'error');
				}
			});
		}
		else
		{
			//alert("Hay campo sin llenar");
			Swal.fire('Error', 'Hay campo sin llenar.', 'error');
		}
    }
    //Funcion categoria
	$(document).ready(function() {
		$.ajax({
			type: "POST",
			url: "datos.php?Accion=GetCategoria",
			
			success: function(response)
			{
				$('#categoria').html(response).fadeIn();
			}
		}); 
	});

	//buscar codigo
	$(document).ready(function() 
	{	
		$("#codigo").change(function()
		{
			var codigo = $('#codigo').val();
			//alert(codigo);
		
			var parameter=
			{	
				"codigo":codigo,		
			};
			$.ajax(
			{  
				data: parameter,
				"url":"buscar_producto.php",
				type:"POST",
				//alert (respuesta);
				success: function (respuesta)
				{
					var url=respuesta.split(",");
					var idproduc =0;
					idproduc = document.getElementById("idproduc").value=url[0];
					codigo = document.getElementById("codigo").value=url[1];					
					nombre = document.getElementById("nombre").value=url[2];					
					stock = document.getElementById("stock").value=url[3];
					fechae = document.getElementById("fechae").value=url[4];
					fechav = document.getElementById("fechav").value=url[5];
					precio1 = document.getElementById("precio1").value=url[6];
					precio12 = document.getElementById("precio12").value=url[6];
					precio2 = document.getElementById("precio2").value=url[7];
					precio22 = document.getElementById("precio22").value=url[7];
					precio3 = document.getElementById("precio3").value=url[8];
					precio32 = document.getElementById("precio32").value=url[8];
										
				},
				//alert(codigo);
				
			});
		
		});
		
	});	
</script>
<!-- Modal -->
<div class="modal fade" id="ingresar_mercaderia" role="dialog">
	<div class="modal-dialog" style="width: 90%; max-width: 90%; padding: 10px;">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Ingreso de Mercaderia</h4>
			</div>

			<div class="panel panel-info ">
				<div class="panel-heading">Infromación del dato del producto actual</div>
					<div class="panel-body">
					<div class="form-group col-lg-12 col-md-12" style="display:none;" >								
						<input type="text" class="form-control" id="idproduc" name="idproduc">
					</div>				
					<div class="form-group col-lg-1 col-md-1">
						<label>CODIGO:*</label>
						<input class="form-control" onchange=""  id="codigo" name="codigo" placeholder="Ingrese el codigo" required></input>
					</div>
					<div class="form-group col-lg-5 col-md-5">
						<label>PRODUCTO:*</label>
						<input class="form-control" onchange=""  id="nombre" name="nombre" placeholder="Ingrese el nombre del producto" required disabled></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Stock:*</label>
						<input class="form-control" onchange=""  id="stock" name="stock" placeholder="Ingrese el stock minimo del producto" required disabled></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Fecha Elav.:*</label>
						<input class="form-control" onchange=""  id="fechae" name="fechae" placeholder="Ingrese el stock minimo del producto" required disabled></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Fecha Ven.:*</label>
						<input class="form-control"  onchange=""  id="fechav" name="fechav" placeholder="Ingrese el stock minimo del producto" required disabled></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Precio 1:*</label>
						<input class="form-control" onchange=""  id="precio1" name="precio1" placeholder="Ingrese precio 1" required disabled></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Precio 2:*</label>
						<input class="form-control" onchange=""  id="precio2" name="precio2" placeholder="Ingrese precio 2" required disabled></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Precio 3:*</label>
						<input class="form-control" onchange=""  id="precio3" name="precio3" placeholder="Ingrese precio 3" required disabled></input>
					</div>
				</div>
			</div>
			<div class="panel panel-success ">
				<div class="panel-heading">Ingreso de producto nuevo</div>
					<div class="panel-body">
					<div class="form-group col-lg-12 col-md-12" style="display:none;" >								
						<input type="text" class="form-control" id="idproduc" name="idproduc">
					</div>				
					<div class="form-group col-lg-1 col-md-1">
						
					</div>
					<div class="form-group col-lg-5 col-md-5">
						
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Cantidad:*</label>
						<input class="form-control" type="number" onchange=""  id="stock2" placeholder="Ingrese el stock minimo del producto" required></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Fecha Elav.:*</label>
						<input class="form-control" type="date" onchange=""  id="fechae2" placeholder="Ingrese el stock minimo del producto" required></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Fecha Ven.:*</label>
						<input class="form-control" type="date" onchange=""  id="fechav2" placeholder="Ingrese el stock minimo del producto" required></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Precio 1:*</label>
						<input class="form-control"  type="" onchange=""  id="precio12" name="precio12" placeholder="Ingrese precio 1" required></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Precio 2:*</label>
						<input class="form-control" type="" onchange=""  id="precio22" name="precio22"placeholder="Ingrese precio 2" required></input>
					</div>
					<div class="form-group col-lg-1 col-md-1">
						<label>Precio 3:*</label>
						<input class="form-control" type="" onchange=""  id="precio32" name="precio32"placeholder="Ingrese precio 3" required></input>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
				<button onclick="guardar()" type="button" class="btn btn-primary" >Guardar</button>
			</div>
		</div>
    </div>
</div>